### Method

# Meta WindowActor paint_to_content

#### Declaration [src]

    ClutterContent*
    meta_window_actor_paint_to_content (
      MetaWindowActor* self,
      MtkRectangle* clip,
      GError** error
    )

#### Description

No description available.

#### Parameters

`clip`

  Type: `MtkRectangle`

  A clipping rectangle, in actor coordinates, to help prevent extra processing. In the case that the clipping rectangle is partially or fully outside the bounds of the actor, the rectangle will be clipped.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `ClutterContent`

A new `ClutterContent`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.